<ng-container *ngIf="courses.length; else noCourses">
  <app-course-card
    *ngFor="let course of courses"
    [course]="course"
  >
    <div class="d-flex mb-3 justify-content-end">
      <app-button
        text="Show course"
        [routerLink]="course.id"
      ></app-button>
      <app-button
        *ngIf="isAdmin$ | async"
        [iconName]="editIcon"
        [routerLink]="['edit', course.id]"
      ></app-button>
      <app-button
        *ngIf="isAdmin$ | async"
        [iconName]="deleteIcon"
        (click)="onCourseDelete()"
      ></app-button>
    </div>
  </app-course-card>
</ng-container>

<ng-template #noCourses>
  <app-info></app-info>
</ng-template>
